API REFERENCE
Ad Product Details API
GET
/open-api/v1/ad-products/{id}·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/ad-products/8f624441d1106bb9937e187e13af0bf4' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| id
path · required
| string | Product ID | |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"product": {
"id": "8f624441d1106bb9937e187e13af0bf4",
"store_id": "b06855e0873197f5937e187e13af0bf4",
"name": "Thera Pillow | Traction Massager",
"source_product_link": "https://callixe.com/products/thera",
"currency": "USD",
"price": 89.73,
"price_usd": 89.73,
"ad_count": 1,
"creation_time": 1712007737,
"active_ad_count": 1,
"source_product_id": "9426992202001",
"images": [
"https://fb-cdn.pipiads.com/images/pimg_c502cb2f8e21f07022aa.png",
"https://fb-cdn.pipiads.com/images/pimg_c64596f08800b96cbdd4.png",
"https://fb-cdn.pipiads.com/images/pimg_87f89103b85e469582d4.png",
"https://fb-cdn.pipiads.com/images/pimg_e19af42f354271c796d9.png",
"https://fb-cdn.pipiads.com/images/pimg_d99b44555550dfe88916.png"
],
"adset_count": 0,
"active_adset_count": 0,
"adset_count_24h": 0,
"ad_forecast": 1,
"ad_status": 1,
"e_commerce_platform": "shopify",
"ad_audience_reach": 0,
"ad_cost": 0.99,
"active_days": 1,
"ad_started_at": 1728370800,
"ad_ended_at": 1728370800,
"category_id": "62739bc738365b2f72048ece",
"image_url": "https://fb-cdn.pipiads.com/images/pimg_c502cb2f8e21f07022aa.png",
"category_name": "Mother & Kids",
"user_collected": 2
},
"store": {
"id": "b06855e0873197f5937e187e13af0bf4",
"name": "CALLIXE",
"e_commerce_platform": "shopify",
"logo_url": null,
"source_store_link": "https://callixe.com",
"published_products_count": null,
"month_visits": null,
"monthly_sales": null
},
"ad_started_history": [
{
"date": "2024-10-08",
"count": 1
}
],
"advertisers": [
{
"id": "26ac3236deb2689afa954bd5014c6719",
"source_advertiser_id": "100671036247649",
"name": "CALLIXE",
"ad_count": 38,
"like_count": 181,
"profile_picture_url": "https://fb-cdn.pipiads.com/images/3e29e9a171b5cec7823edacb7a6a7ab0.png",
"source_advertiser_link": "https://facebook.com/100088499547786",
"adset_count": 0,
"ad_country": [],
"ad_status": 1,
"creation_time": null,
"ad_started_at": 1728370800,
"ad_ended_at": 1728370800,
"active_days": 1,
"active_ad_count": 38,
"inactive_ad_count": 0,
"removed_ad_count": 0,
"ad_source": 1,
"category_name": null,
"ad_platform": [
"FACEBOOK",
"INSTAGRAM",
"AUDIENCE_NETWORK",
"MESSENGER"
],
"ads_library_link": "https://www.facebook.com/ads/library/?active_status=active&ad_type=all&country=ALL&is_targeted_country=false&media_type=all&search_type=page&view_all_page_id=100671036247649"
}
]
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» product | object | true | none | Product Info | none |
| »»» id | string | true | none | Product ID | none |
| »»» store_id | string | true | none | Store ID | none |
| »»» name | string | true | none | Product Name | none |
| »»» source_product_link | string | true | none | Product Link | none |
| »»» currency | string¦null | true | none | Currency | none |
| »»» price | number¦null | true | none | Product Price | none |
| »»» price_usd | number¦null | true | none | Price (USD) | none |
| »»» ad_count | integer | true | none | Ad Count | none |
| »»» creation_time | integer¦null | true | none | Creation Time | Timestamp (seconds) |
| »»» active_ad_count | integer | true | none | Active Ad Count | none |
| »»» source_product_id | string | true | none | E-commerce Platform Product ID | none |
| »»» images | [string] | true | none | Product Images | none |
| »»» image_url | string¦null | true | none | Main Product Image | none |
| »»» adset_count | integer | true | none | Total Ad Sets | none |
| »»» active_adset_count | integer | true | none | Active Ad Sets | none |
| »»» adset_count_24h | integer | true | none | 24h Ad Sets | none |
| »»» ad_forecast | integer | true | none | AI Score | Options: 1-Testing phase, 2-Growth phase, 3-Profit phase. |
| »»» ad_status | integer | true | none | Ad Status | Options: 1-Active, 2-Stopped. |
| »»» e_commerce_platform | string | true | none | E-commerce Platform | none |
| »»» ad_audience_reach | integer¦null | true | none | Audience Reach | none |
| »»» ad_cost | number¦null | true | none | Ad Spend | Unit: USD. |
| »»» active_days | integer | true | none | Active Days | none |
| »»» ad_started_at | integer | true | none | Ad Start Time | Timestamp (seconds) |
| »»» ad_ended_at | integer | true | none | Ad End Time | Timestamp (seconds) |
| »»» category_id | string¦null | true | none | Category ID | none |
| »»» category_name | string¦null | true | none | Category Name | none |
| »»» user_collected | integer | true | none | Saved Status | Options: 1-Not saved, 2-Saved. |
| »» store | object | true | none | Store Info | none |
| »»» id | string | true | none | Store ID | none |
| »»» name | string | true | none | Store Name | none |
| »»» e_commerce_platform | string¦null | true | none | E-commerce Platform | none |
| »»» logo_url | string¦null | true | none | Store Logo | none |
| »»» source_store_link | string¦null | true | none | Store Link | none |
| »»» published_products_count | integer¦null | true | none | Product Count | none |
| »»» month_visits | integer¦null | true | none | Monthly Visits | none |
| »» ad_started_history | [object] | true | none | Ad Trend History | none |
| »»» date | string | true | none | Date | UTC time |
| »»» count | integer | true | none | Ad Count | none |
| »» advertisers | [object] | true | none | Advertiser Info | none |
| »»» advertiser | object¦null | false | none | Advertiser | none |
| »»»» id | string | true | none | Advertiser ID | none |
| »»»» source_advertiser_id | string | true | none | Advertiser Page ID | none |
| »»»» name | string | true | none | Advertiser Name | none |
| »»»» ad_count | integer | true | none | Ad Creatives Count | none |
| »»»» like_count | integer¦null | true | none | Likes | none |
| »»»» profile_picture_url | string¦null | true | none | Profile Picture | none |
| »»»» source_advertiser_link | string¦null | true | none | Advertiser Page Link | none |
| »»»» adset_count | integer¦null | true | none | Ad Sets Count | none |
| »»»» ad_country | [string] | true | none | Target Countries | none |
| »»»» ads_library_link | string | true | none | Ads Library Link | none |
| »»»» ad_status | integer | true | none | Ad Status | Options: 1-Active, 2-Stopped. |
| »»»» creation_time | integer¦null | true | none | Creation Time | Timestamp (seconds) |
| »»»» ad_started_at | integer | true | none | Ad Start Time | Timestamp (seconds) |
| »»»» ad_ended_at | integer | true | none | Ad End Time | Timestamp (seconds) |
| »»»» active_days | integer | true | none | Active Days | none |
| »»»» active_ad_count | integer | true | none | Active Ads | none |
| »»»» inactive_ad_count | integer | true | none | Inactive Ads | none |
| »»»» removed_ad_count | integer | true | none | Removed Ads | none |
| »»»» category_name | string¦null | true | none | Category | none |
| »»»» ad_platform | [string] | true | none | Ad Platforms | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
